Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.alien.enterpriseRFID.externalio
Class ExternalIO

    java.lang.Object
      com.alien.enterpriseRFID.externalio.ExternalIO

public class ExternalIO
extends java.lang.Object

ExternalIO object represents information about a single digital I/O event on the reader.

Version:
  0.1 Feb 2007
Author:
  David Krull

Field Summary
`static int` | `DI`
`static int` | `DO`

Constructor Summary
`ExternalIO()` Constructs an ExternalIO with an undefined type.
`ExternalIO(int type)` Constructs an ExternalIO with the supplied type, which should be one of: `DI`, `DO`.
`ExternalIO(int type, int value, long eventTime)` Constructs an ExternalIO with the supplied type, value and timestamp.

Method Summary
`java.lang.Object` | `clone()` Clones this `ExternalIO` object.
`long` | `getEventTime()` Returns the timestamp of this ExternalIO event, as reported by the reader's on-board clock.
`long` | `getEventTimeHost()` Returns the timestamp of this ExternalIO event, as reported by the host system's clock.
`int` | `getType()` Returns this ExternalIO's type.
`java.lang.String` | `getTypeString()` Returns this ExternalIO's type, as a string.
`int` | `getValue()` Returns the value for this ExternalIO.
`void` | `setEventTime(long eventTime)` Sets the timestamp of this ExternalIO event, as reported by the reader's on-board clock.
`void` | `setEventTimeHost()` Sets the timestamp of this ExternalIO event, as reported by the host system's clock, to the current system time.
`void` | `setEventTimeHost(long eventTimeHost)` Sets the timestamp of this ExternalIO event, as reported by the host system's clock.
`void` | `setType(int type)` Sets this ExternalIO's type.
`void` | `setType(java.lang.String typeString)` Sets this ExternalIO's type, given as a String, "DI" or "DO".
`void` | `setValue(int value)` Sets the value for this ExternalIO.
`java.lang.String` | `toLongString()` Returns a longer string representation of this ExternalIO, including type, value, eventTime, and eventTimeHost.
`java.lang.String` | `toString()` Returns a string representation of this ExternalIO.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DI

    public static final int DI

See Also:
  Constant Field Values

### DO

    public static final int DO

See Also:
  Constant Field Values

Constructor Detail

### ExternalIO

    public ExternalIO()

  Constructs an ExternalIO with an undefined type. The eventTimeHost is set to the current system clock, eventTime and value are both zero.

See Also:
  `ExternalIO(int)`, `ExternalIO(int, int, long)`

### ExternalIO

    public ExternalIO(int type)

  Constructs an ExternalIO with the supplied type, which should be one of: `DI`, `DO`. The eventTimeHost is set to the current system clock, eventTime and value are both zero.

Parameters:
  `type` - the type of I/O
See Also:
  `ExternalIO()`, `ExternalIO(int, int, long)`

### ExternalIO

    public ExternalIO(int type,
                      int value,
                      long eventTime)

  Constructs an ExternalIO with the supplied type, value and timestamp. The type should be one of: `DI`, `DO`.

Parameters:
  `type` - the type of I/O
  `value` - the value of the inputs/outputs
  `eventTime` - the timestamp at which the event occurred
See Also:
  `ExternalIO()`, `ExternalIO(int)`

Method Detail

### getType

    public int getType()

  Returns this ExternalIO's type. It will generally be one of `DI`, and `DO`.

  Returns:
    the I/O type
  See Also:
    `setType(int)`

### getTypeString

    public java.lang.String getTypeString()

  Returns this ExternalIO's type, as a string. It will generally be either "DI", "DO", or "D?" for an unknown type.

  Returns:
    the I/O type, as a string
  See Also:
    `setType(int)`, `setType(String)`

### setType

    public void setType(int type)

  Sets this ExternalIO's type. It will generally be one of `DI`, and `DO`.

  Parameters:
    `type` - the ExternalIO type
  See Also:
    `getType()`

### setType

    public void setType(java.lang.String typeString)

  Sets this ExternalIO's type, given as a String, "DI" or "DO". Other values will be taken to be an unknown type..

  Parameters:
    `typeString` - the ExternalIO type, as a String
  See Also:
    `getType()`

### getValue

    public int getValue()

  Returns the value for this ExternalIO. The value represents the bit mask state of all of that reader's inputs or outputs.

  Returns:
    the value of this ExternalIO
  See Also:
    `setValue(int)`

### setValue

    public void setValue(int value)

  Sets the value for this ExternalIO. The value represents the bit mask state of all of that reader's inputs or outputs.

  Parameters:
    `value` - the value of this ExternalIO
  See Also:
    `getValue()`

### getEventTime

    public long getEventTime()

  Returns the timestamp of this ExternalIO event, as reported by the reader's on-board clock.

  Returns:
    the time this ExternalIO event occurred, by the reader's clock
  See Also:
    `setEventTime(long)`

### setEventTime

    public void setEventTime(long eventTime)

  Sets the timestamp of this ExternalIO event, as reported by the reader's on-board clock.

  Parameters:
    `eventTime` - the time this ExternalIO event occurred, by the reader's clock
  See Also:
    `getEventTime()`

### getEventTimeHost

    public long getEventTimeHost()

  Returns the timestamp of this ExternalIO event, as reported by the host system's clock.

  Returns:
    the time this ExternalIO event occurred, by the host's clock
  See Also:
    `setEventTimeHost(long)`, `setEventTimeHost()`

### setEventTimeHost

    public void setEventTimeHost(long eventTimeHost)

  Sets the timestamp of this ExternalIO event, as reported by the host system's clock.

  Parameters:
    `eventTimeHost` - the time this ExternalIO event occurred, by the host's clock
  See Also:
    `getEventTimeHost()`

### setEventTimeHost

    public void setEventTimeHost()

  Sets the timestamp of this ExternalIO event, as reported by the host system's clock, to the current system time.

  See Also:
    `getEventTimeHost()`

### clone

    public java.lang.Object clone()

  Clones this `ExternalIO` object.

  Returns:
    a cloned ExternalIO

### toString

    public java.lang.String toString()

  Returns a string representation of this ExternalIO.

  Returns:
    the string of this ExternalIO

### toLongString

    public java.lang.String toLongString()

  Returns a longer string representation of this ExternalIO, including type, value, eventTime, and eventTimeHost.

  Returns:
    a full string representation of this ExternalIO

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD